lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doug Cutting (JIRA)" <>
Subject [jira] Commented: (LUCENE-781) NPE in MultiReader.isCurrent() and getVersion()
Date Thu, 26 Jul 2007 17:35:03 GMT


Doug Cutting commented on LUCENE-781:

> I looked into the javadocs built with this patch and I can't see the name MultiSegmentReader.

Great!  They've improved javadoc since I last tried that.  I remove my reservations.  +1

> NPE in MultiReader.isCurrent() and getVersion()
> -----------------------------------------------
>                 Key: LUCENE-781
>                 URL:
>             Project: Lucene - Java
>          Issue Type: Bug
>          Components: Index
>            Reporter: Daniel Naber
>            Assignee: Michael Busch
>         Attachments: lucene-781.patch, multireader.diff, multireader.diff, multireader_test.diff,
> I'm attaching a fix for the NPE in MultiReader.isCurrent() plus a testcase. For getVersion(),
we should throw a better exception that NPE. I will commit unless someone objects or has a
better idea.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message